Follow

What browsers are compatible with Sfax?

We always recommend using the most current version of your browser to access our Application for security and compatibility reasons.   Sfax has been tested compatible in Chrome, Edge, Firefox, Internet Explorer (IE), and Safari. 

Chrome: 46+  
Edge:  13+ 
Firefox:  42+ 
Internet Explorer ( IE): 11+  
Safari: 9.1+ 

Other version may work, but with limited accessibility. 

**Mobile device browsers may have limitations so we recommend downloading our app.

0 Comments

Please sign in to leave a comment.